{
  lib,
  rustPlatform,
  stdenv,
}:

rustPlatform.buildRustPackage rec {
  pname = "backend";
  version = "0.1";

  src = lib.fileset.toSource {
    root = ../.;
    fileset = lib.fileset.unions [
      ../Cargo.lock
      ../Cargo.toml
      ../crates
      ../.cargo
    ];
  };

  cargoLock = {
    lockFile = ../Cargo.lock;
  };

  meta = with lib; {
    platforms = lib.platforms.all;
    mainProgram = "backend";
  };
}
